import React from 'react';


const Terms = () => {


	return (
        <div className="l-single-container term-wrap">

            <p className="text-center font-weight-bold ft-22 mt-5">利用規約</p>
            <p className="text-center text-gray font-weight-bold mb-5">Terms of service</p>
            この利用規約（以下，「本規約」といいます。）は，株式会社ZOTMAN（以下，「当社」といいます。）がこのサイト上で提供するサービス（以下，「本サービス」といいます。）の利用条件を定めるものです。登録会員の皆さま（以下，「会員」といいます。）には，本規約に従って，本サービスをご利用いただきます。

            <p className="ttl">第1条（適用）</p>
            <p>本規約は，加盟店及び会員と当社との間の本サービスの利用に関わる一切の関係に適用されるものとします。</p>

            <p className="ttl">第2条（利用登録）</p>
                <ul>
                    <li>登録希望者が当社の定める方法によって利用登録を申請し，当社がこれを承認することによって，利用登録が完了するものとします。</li>
                    <li>当社は，利用登録の申請者に以下の事由があると判断した場合，利用登録の申請を承認しないことがあり，その理由については一切の開示義務を負わないものとします。
                        <ul>
                            <li>利用登録の申請に際して虚偽の事項を届け出た場合</li>
                            <li>本規約に違反したことがある者からの申請である場合</li>
                            <li>未成年者，成年被後見人，被保佐人または被補助人のいずれかであり，法定代理人，後見人，保佐人または補助人の同意等を得ていなかった場合</li>
                            <li>反社会的勢力等（暴力団，暴力団員，右翼団体，反社会的勢力，その他これに準ずる者を意味します。）である，または資金提供その他を通じて反社会的勢力等の維持，運営もしくは経営に協力もしくは関与する等反社会的勢力との何らかの交流もしくは関与を行っていると当社が判断した場合</li>
                            <li>その他，当社が利用登録を相当でないと判断した場合</li>
                        </ul>
                    </li>
                </ul>

            <p className="ttl">第3条（会員IDおよびパスワードの管理）</p>
                <ul>
                    <li>加盟店及び会員は，自己の責任において，本サービスの会員IDおよびパスワードを管理するものとします。</li>
                    <li>加盟店及び会員は，いかなる場合にも，会員IDおよびパスワードを第三者に譲渡または貸与することはできません。当社は，加盟店及び会員IDとパスワードの組み合わせが登録情報と一致してログインされた場合には，その会員IDを登録している会員自身による利用とみなします。</li>
                </ul>

            <p className="ttl">第4条（利用料金および支払、返金方法）</p>
            <ul>
                <li>加盟店及び会員は，本サービス利用の対価として，当社が別途定め，本サービスに表示する利用料金を，当社が指定する方法により支払うものとします。</li>
                <li>加盟店が利用料金の支払を遅滞した場合には，加盟店は年14．6％の割合による遅延損害金を支払うものとします。</li>
                <li>運営者からの返金はいかなる理由であろうと不可とする。</li>
                <li>退会や広告掲載の終了をユーザーから申請がない限り自動更新され以降課金は継続されます。</li>
                <li>広告掲載期間未満で広告契約の終了を申し出た場合は残りの掲載期間月の掲載料金を一括で課金することにより掲載を終了できます。</li>
            </ul>
            <p className="ttl">第5条（禁止事項）</p>
            <p>加盟店及び会員は，本サービスの利用にあたり，以下の行為をしてはなりません。</p>
                <ul>
                    <li>法令または公序良俗に違反する行為</li>
                    <li>犯罪行為に関連する行為</li>
                    <li>当社のサーバーまたはネットワークの機能を破壊したり，妨害したりする行為</li>
                    <li>当社のサービスの運営を妨害するおそれのある行為</li>
                    <li>他の会員に関する個人情報等を収集または蓄積する行為</li>
                    <li>他の会員に成りすます行為</li>
                    <li>当社のサービスに関連して，反社会的勢力に対して直接または間接に利益を供与する行為</li>
                    <li>当社，本サービスの他の利用者または第三者の知的財産権，肖像権，プライバシー，名誉その他の権利または利益を侵害する行為</li>
                    <li>過度に暴力的な表現，露骨な性的表現，人種，国籍，信条，性別，社会的身分，門地等による差別につながる表現，自殺，自傷行為，薬物乱用を誘引または助長する表現，その他反社会的な内容を含み他人に不快感を与える表現を，投稿または送信する行為</li>
                    <li>営業，宣伝，広告，勧誘，その他営利を目的とする行為（当社の認めたものを除きます。），性行為やわいせつな行為を目的とする行為，面識のない異性との出会いや交際を目的とする行為，他のお客様に対する嫌がらせや誹謗中傷を目的とする行為，その他本サービスが予定している利用目的と異なる目的で本サービスを利用する行為</li>
                    <li>宗教活動または宗教団体への勧誘行為</li>
                    <li>その他，当社が不適切と判断する行為</li>
                </ul>

            <p className="ttl">第6条（本サービスの提供の停止等）</p>
                <ul>
                    <li>法令または公当社は，以下のいずれかの事由があると判断した場合，加盟店及び会員に事前に通知することなく本サービスの全部または一部の提供を停止または中断することができるものとします。序良俗に違反する行為
                        <ul>
                            <li>本サービスにかかるコンピュータシステムの保守点検または更新を行う場合</li>
                            <li>地震，落雷，火災，停電または天災などの不可抗力により，本サービスの提供が困難となった場合</li>
                            <li>コンピュータまたは通信回線等が事故により停止した場合</li>
                            <li>その他，当社が本サービスの提供が困難と判断した場合</li>
                        </ul>
                    </li>
                    <li>当社は，本サービスの提供の停止または中断により，会員または第三者が被ったいかなる不利益または損害について，理由を問わず一切の責任を負わないものとします。</li>
                </ul>


            <p className="ttl">第7条（著作権）</p>
                <ul>
                    <li>加盟店及び会員は，自ら著作権等の必要な知的財産権を有するか，または必要な権利者の許諾を得た文章，画像や映像等の情報のみ，本サービスを利用し，投稿または編集することができるものとします。</li>
                    <li>加盟店と会員が本サービスを利用して投稿または編集した文章，画像，映像等の著作権については，当該会員その他既存の権利者に留保されるものとします。ただし，当社は，本サービスを利用して投稿または編集された文章，画像，映像等を利用できるものとし，加盟店及び会員は，この利用に関して，著作者人格権を行使しないものとします。</li>
                    <li>前項本文の定めるものを除き，本サービスおよび本サービスに関連する一切の情報についての著作権およびその他知的財産権はすべて当社または当社にその利用を許諾した権利者に帰属し，加盟店及び会員は無断で複製，譲渡，貸与，翻訳，改変，転載，公衆送信（送信可能化を含みます。），伝送，配布，出版，営業使用等をしてはならないものとします。</li>
                </ul>


            <p className="ttl">第8条（利用制限および登録抹消）</p>
                <ul>
                    <li>当社は，以下の場合には，事前の通知なく，投稿データを削除し，加盟店及び会員に対して本サービスの全部もしくは一部の利用を制限しまたは加盟店及び会員の登録を抹消することができるものとします。
                        <ul>
                            <li>本規約のいずれかの条項に違反した場合</li>
                            <li>登録事項に虚偽の事実があることが判明した場合</li>
                            <li>破産，民事再生，会社更生または特別清算の手続開始決定等の申立がなされたとき</li>
                            <li>1年間以上本サービスの利用がない場合</li>
                            <li>当社からの問い合わせその他の回答を求める連絡に対して30日間以上応答がない場合</li>
                            <li>第2条第2項各号に該当する場合</li>
                            <li>その他，当社が本サービスの利用を適当でないと判断した場合</li>
                        </ul>
                    </li>
                    <li>項各号のいずれかに該当した場合，加盟店及び会員は，当然に当社に対する一切の債務について期限の利益を失い，その時点において負担する一切の債務を直ちに一括して弁済しなければなりません。</li>
                    <li>当社は，本条に基づき当社が行った行為により加盟店及び会員に生じた損害について，一切の責任を負いません。</li>
                </ul>


            <p className="ttl">第9条（保証の否認および免責事項）</p>
                <ul>
                    <li>当社は，本サービスに事実上または法律上の瑕疵（安全性，信頼性，正確性，完全性，有効性，特定の目的への適合性，セキュリティなどに関する欠陥，エラーやバグ，権利侵害などを含みます。）がないことを明示的にも黙示的にも保証しておりません。</li>
                    <li>当社は，本サービスに起因して加盟店及び会員に生じたあらゆる損害について一切の責任を負いません。ただし，本サービスに関する当社と加盟店及び会員との間の契約（本規約を含みます。）が消費者契約法に定める消費者契約となる場合，この免責規定は適用されません。</li>
                    <li>前項ただし書に定める場合であっても，当社は，当社の過失による債務不履行または不法行為により加盟店及び会員に生じた損害のうち特別な事情から生じた損害（当社または加盟店及び会員が損害発生につき予見し，または予見し得た場合を含みます。）について一切の責任を負いません。また，当社の過失による債務不履行または不法行為により加盟店及び会員に生じた損害の賠償は，加盟店と会員から当該損害が発生した月に受領した利用料の１０％額を上限とします。</li>
                    <li>当社は，本サービスに関して，加盟店と会員と他の加盟店及び会員または第三者との間において生じた取引，連絡または紛争等について一切責任を負いません。</li>
                </ul>

            <p className="ttl">第10条（サービス内容の変更等）</p>
            <p>当社は，会員に通知することなく，本サービスの内容を変更しまたは本サービスの提供を中止することができるものとし，これによって加盟店及び会員に生じた損害について一切の責任を負いません。</p>

            <p className="ttl">第11条（利用規約の変更）</p>
            <p>当社は，必要と判断した場合には，加盟店及び会員に通知することなくいつでも本規約を変更することができるものとします。</p>

            <p className="ttl">第12条（通知または連絡）</p>
            <p>加盟店及び会員と当社との間の通知または連絡は，当社の定める方法によって行うものとします。</p>

            <p className="ttl">第13条（権利義務の譲渡の禁止）</p>
            <p>加盟店及び会員は，当社の書面による事前の承諾なく，利用契約上の地位または本規約に基づく権利もしくは義務を第三者に譲渡し，または担保に供することはできません。</p>

            <p className="ttl">第14条（準拠法・裁判管轄）</p>
            <ul>
                <li>本規約の解釈にあたっては，日本法を準拠法とします。</li>
                <li>本サービスに関して紛争が生じた場合には，当社の本店所在地を管轄する裁判所を専属的合意管轄とします。</li>
            </ul>

            <p className="ttl">第15条（動作環境）</p>
            <p>InternetExplorer11※1/Microsoft:Edge最新版/Google:Chrome最新版/Mozilla:Firefox最新版/Safari:最新版<br/>※各メーカーによるバージョンアップ後に弊社のシステムがエラー等起きる場合がございます。それらに対しての補償は一切致しかねます。</p>

            <p className="mt-5 text-right">以上</p>
        </div>
	)
}


export default Terms;