<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines contain the default error messages used by
    | the validator class. Some of these rules have multiple versions such
    | as the size rules. Feel free to tweak each of these messages here.
    |
    */

    'accepted' => 'The :attribute must be accepted.',
    'active_url' => 'The :attribute is not a valid URL.',
    'after' => 'The :attribute must be a date after :date.',
    'after_or_equal' => 'The :attribute must be a date after or equal to :date.',
    'agreed' => '規約への同意は必須です。',
    'alpha' => ' :attribute は英文字のみです。',
    'alpha_dash' => ' :attribute は半角英数字、ハイフン（-）、又はアンダーバー（_）のみです。',
    'alpha_num' => ' :attribute は半角英数字のみです。',
    'array' => ' :attribute はarrayです。',
    'before' => 'The :attribute must be a date before :date.',
    'before_or_equal' => 'The :attribute must be a date before or equal to :date.',
    'between' => [
        'numeric' => ' :attribute は :min ・ :max 文字です。',
        'file' => 'The :attribute must be between :min and :max kilobytes.',
        'string' => ' :attribute は :min ・ :max 文字です。',
        'array' => 'The :attribute must have between :min and :max items.',
    ],
    'boolean' => 'The :attribute field must be true or false.',
    'confirmed' => ' :attribute と確認用パスワードが異なります。',
    'date' => ' :attribute 日付のみです。',
    'date_equals' => 'The :attribute must be a date equal to :date.',
    'date_format' => 'The :attribute does not match the format :format.',
    'different' => 'The :attribute and :other must be different.',
    'digits' => 'The :attribute must be :digits digits.',
    'digits_between' => 'The :attribute must be between :min and :max digits.',
    'dimensions' => 'The :attribute has invalid image dimensions.',
    'distinct' => 'The :attribute field has a duplicate value.',
    'email' => '正しいメールアドレスを入力してください。',
    'ends_with' => 'The :attribute must end with one of the following: :values.',
    'exists' => 'The selected :attribute is invalid.',
    'file' => 'The :attribute must be a file.',
    'filled' => 'The :attribute field must have a value.',
    'gt' => [
        'numeric' => 'The :attribute must be greater than :value.',
        'file' => 'The :attribute must be greater than :value kilobytes.',
        'string' => 'The :attribute must be greater than :value characters.',
        'array' => 'The :attribute must have more than :value items.',
    ],
    'gte' => [
        'numeric' => 'The :attribute must be greater than or equal :value.',
        'file' => 'The :attribute must be greater than or equal :value kilobytes.',
        'string' => 'The :attribute must be greater than or equal :value characters.',
        'array' => 'The :attribute must have :value items or more.',
    ],
    'image' => 'The :attribute must be an image.',
    'image_size' => 'プロフィール画像は最大5M以内です。',
    'image_meme' => 'ファイル形式はjpg/png/gifのみです。',
    'in' => 'The selected :attribute is invalid.',
    'in_array' => 'The :attribute field does not exist in :other.',
    'integer' => 'The :attribute must be an integer.',
    'ip' => 'The :attribute must be a valid IP address.',
    'ipv4' => 'The :attribute must be a valid IPv4 address.',
    'ipv6' => 'The :attribute must be a valid IPv6 address.',
    'json' => 'The :attribute must be a valid JSON string.',
    'lt' => [
        'numeric' => 'The :attribute must be less than :value.',
        'file' => 'The :attribute must be less than :value kilobytes.',
        'string' => 'The :attribute must be less than :value characters.',
        'array' => 'The :attribute must have less than :value items.',
    ],
    'lte' => [
        'numeric' => 'The :attribute must be less than or equal :value.',
        'file' => 'The :attribute must be less than or equal :value kilobytes.',
        'string' => 'The :attribute must be less than or equal :value characters.',
        'array' => 'The :attribute must not have more than :value items.',
    ],
    'max' => [
        'numeric' => ':attribute は最大 :max 数字以上です.',
        'file' => 'プロフィール画像は最大5M以内です。',
        'string' => ':attribute は最大 :max 文字以内です。',
        'array' => ':attribute は最大 :max 配列要素以内です。',
    ],
    'mimes' => 'ファイル形式は :values のみです。',
    'mimetypes' => 'The :attribute must be a file of type: :values.',
    'min' => [
        'numeric' => ':attribute は最低 :min 数字以上です。',
        'file' => ':attribute は最低 :min kB以上です。',
        'string' => ':attribute は最低 :min 文字以上です。',
        'array' => ':attribute は最低 :min 配列要素以上です。',
    ],
    'multiple_of' => 'The :attribute must be a multiple of :value.',
    'not_in' => 'The selected :attribute is invalid.',
    'not_regex' => 'The :attribute format is invalid.',
    'numeric' => ' :attribute は半角数字のみです。',
    'password' => 'パスワードは異なります。',
    'present' => 'The :attribute field must be present.',
    'regex' => 'The :attribute format is invalid.',
    'required' => ' :attribute は必須です。',
    'required_if' => 'The :attribute field is required when :other is :value.',
    'required_unless' => 'The :attribute field is required unless :other is in :values.',
    'required_with' => 'The :attribute field is required when :values is present.',
    'required_with_all' => 'The :attribute field is required when :values are present.',
    'required_without' => 'The :attribute field is required when :values is not present.',
    'required_without_all' => 'The :attribute field is required when none of :values are present.',
    'pdf_size' => 'PDFは最大50M以内です。',
    'pdf_meme' => 'ファイル形式はPDFのみです。',
    'prohibited' => 'The :attribute field is prohibited.',
    'prohibited_if' => 'The :attribute field is prohibited when :other is :value.',
    'prohibited_unless' => 'The :attribute field is prohibited unless :other is in :values.',
    'same' => 'The :attribute and :other must match.',
    'size' => [
        'numeric' => ' :attribute は :size 数字です。',
        'file' => 'The :attribute must be :size kilobytes.',
        'string' => ' :attribute は :size 文字です。',
        'array' => ' :size 枚以上登録できません。',
    ],
    'starts_with' => '先頭は「 :values 」から始めてください。',
    'string' => 'The :attribute must be a string.',
    'tel_size' => '電話番号は10・11文字です。',
    'timezone' => 'The :attribute must be a valid zone.',
    'unique' => '同じ :attribute は使用できません。',
    'uploaded' => 'The :attribute failed to upload.',
    'url' => 'The :attribute format is invalid.',
    'uuid' => 'The :attribute must be a valid UUID.',

    /*
    |--------------------------------------------------------------------------
    | Custom Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | Here you may specify custom validation messages for attributes using the
    | convention "attribute.rule" to name the lines. This makes it quick to
    | specify a specific custom language line for a given attribute rule.
    |
    */

    'custom' => [
        'attribute-name' => [
            'rule-name' => 'custom-message',
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | Custom Validation Attributes
    |--------------------------------------------------------------------------
    |
    | The following language lines are used to swap our attribute placeholder
    | with something more reader friendly such as "E-Mail Address" instead
    | of "email". This simply helps us make our message more expressive.
    |
    */

    'attributes' => [
        'email' => 'メール',
        'password' => 'パスワード',
        'password_confirm' => '確認用パスワード',
        'company' => '会社名',
        'image' => '画像',
        'profile' => 'プロフィール',
        'identity' => 'ID',
        'tel' => '電話番号',
        'token' => 'トークン',
        'hire_at' => '入社日',
        'title' => 'タイトル',
        'text' => '本文',
        'memo' => 'メモ',
        'pdf' => 'PDF',
        'message' => 'お問合せ内容',
        'last_name' => '姓',
        'first_name' => '名',
        'relation_limit' => '子とのリレーション制限',
    ],

];
